Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4208 - cpio infinite loop; cpio as root incorrectly sets file permissions
Summary: cpio infinite loop; cpio as root incorrectly sets file permissions
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cpio
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: bero
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-27 00:44 UTC by bugzilla
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 17:22:03 UTC


Attachments (Terms of Use)

Description bugzilla 1999-07-27 00:44:24 UTC
GNU cpio 2.4.2 has a long-standing bug in it that
causes infinite loops when unpacking input files
with hard-linked empty files.

It also has a security problem in that it sets the
permissions on symlink targets instead of symlinks
when there is no lchown() system call.

Comment 1 Jeff Johnson 1999-08-31 17:22:59 UTC
Fixed in cpio-2.4.2-13. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.